<!DOCTYPE html>
<html lang='en'>
<head>
<meta charset='utf-8' />
<title>MetaQuotes.Playground.Benchmarks.SearchByStringBenchmark-20210819-130010</title>

<style type="text/css">
	table { border-collapse: collapse; display: block; width: 100%; overflow: auto; }
	td, th { padding: 6px 13px; border: 1px solid #ddd; text-align: right; }
	tr { background-color: #fff; border-top: 1px solid #ccc; }
	tr:nth-child(even) { background: #f8f8f8; }
</style>
</head>
<body>
<pre><code>
BenchmarkDotNet=v0.13.1, OS=Windows 10.0.17134.1967 (1803/April2018Update/Redstone4)
Intel Core i7-3770 CPU 3.40GHz (Ivy Bridge), 1 CPU, 8 logical and 4 physical cores
.NET Core SDK=3.1.300
  [Host]     : .NET Core 3.1.4 (CoreCLR 4.700.20.20201, CoreFX 4.700.20.22101), X64 RyuJIT
  Job-YVZXHZ : .NET Core 3.1.4 (CoreCLR 4.700.20.20201, CoreFX 4.700.20.22101), X64 RyuJIT
</code></pre>
<pre><code>Platform=AnyCpu  Runtime=.NET Core 3.1  LaunchCount=2  
MaxIterationCount=20  
</code></pre>

<table>
<thead><tr><th>Method</th><th>N</th><th>   city</th><th>Mean</th><th>Error</th><th>StdDev</th><th>Max</th><th>Min</th><th>Op/s</th>
</tr>
</thead><tbody><tr><td>SearchByCity</td><td>20000</td><td>cit_Efamin </td><td>15.79 &mu;s</td><td>0.620 &mu;s</td><td>1.085 &mu;s</td><td>18.50 &mu;s</td><td>13.51 &mu;s</td><td>63,319.1</td>
</tr><tr><td>SearchByCity</td><td>20000</td><td>cit_Ynynecira</td><td>13.52 &mu;s</td><td>0.334 &mu;s</td><td>0.500 &mu;s</td><td>14.77 &mu;s</td><td>12.83 &mu;s</td><td>73,980.9</td>
</tr><tr><td>SearchByCity</td><td>40000</td><td>cit_Efamin </td><td>15.06 &mu;s</td><td>0.832 &mu;s</td><td>1.479 &mu;s</td><td>18.87 &mu;s</td><td>13.56 &mu;s</td><td>66,393.3</td>
</tr><tr><td>SearchByCity</td><td>40000</td><td>cit_Ynynecira</td><td>14.28 &mu;s</td><td>0.333 &mu;s</td><td>0.557 &mu;s</td><td>15.78 &mu;s</td><td>13.66 &mu;s</td><td>70,051.8</td>
</tr><tr><td>SearchByCity</td><td>60000</td><td>cit_Efamin </td><td>14.33 &mu;s</td><td>0.181 &mu;s</td><td>0.298 &mu;s</td><td>15.11 &mu;s</td><td>13.86 &mu;s</td><td>69,772.2</td>
</tr><tr><td>SearchByCity</td><td>60000</td><td>cit_Ynynecira</td><td>15.21 &mu;s</td><td>0.793 &mu;s</td><td>1.258 &mu;s</td><td>19.22 &mu;s</td><td>14.36 &mu;s</td><td>65,727.4</td>
</tr><tr><td>SearchByCity</td><td>80000</td><td>cit_Efamin </td><td>15.03 &mu;s</td><td>0.366 &mu;s</td><td>0.611 &mu;s</td><td>16.77 &mu;s</td><td>14.24 &mu;s</td><td>66,523.9</td>
</tr><tr><td>SearchByCity</td><td>80000</td><td>cit_Ynynecira</td><td>15.63 &mu;s</td><td>0.359 &mu;s</td><td>0.599 &mu;s</td><td>17.37 &mu;s</td><td>14.89 &mu;s</td><td>63,969.7</td>
</tr><tr><td>SearchByCity</td><td>100000</td><td>cit_Efamin </td><td>15.44 &mu;s</td><td>0.688 &mu;s</td><td>1.205 &mu;s</td><td>19.26 &mu;s</td><td>14.26 &mu;s</td><td>64,753.0</td>
</tr><tr><td>SearchByCity</td><td>100000</td><td>cit_Ynynecira</td><td>16.29 &mu;s</td><td>0.320 &mu;s</td><td>0.544 &mu;s</td><td>17.86 &mu;s</td><td>15.59 &mu;s</td><td>61,402.4</td>
</tr></tbody></table>
</body>
</html>
